Subject: Re: with-wish package on Win32

From: Matthias Lindner <[email-masked]>
Date: Thu, 22 Oct 1998 17:41:41 +0200 (MEST)

Jason Karney wrote:
 > 
 > Has anybody gotten the with-wish package to work with CLISP and Win95/NT? I
 > haven't, and I am guessing that is because two-way communication (via CLISP's
 > run-program) occurs through pipes, which win32 lacks.

Ok - as this is the second request within the last few weeks...

I have a 're-implementation' of WITH-WISH, called WITH-WISHSERVER that 
uses sockets instead of pipes and runs in Unix and Windows environments.
The basic part of the package works in CLISP, GCL, ACL4, ACL5 and
CMUCL. For Windows I have only tested it with CLISP.

Before releasing it I wanted to implement some kind of 'higher level'
GUI language that supports expressions like

     (with-canvas-window (:scrollbars :both
                          :menubar    (list (make-menu ...))
                          :buttons    (list (make-button ...
                                               :callback #'cb-fun)))
        (make-instance '<polygon> '(0 0 100 100 200 0) :fill "red")
        ...)

(Just to satisfy the 'Tcl/Tk-haters' ;-) )
Unfortunately I did not find the time to implement that...

Like for WITH-WISH there is almost no documentation i.e. only some more or
less ``documented'' examples.

If you think you have a real need for WITH-WISHSERVER and are brave
enough to try it send me e-mail and I will send you a copy.

Happy CLisping

--Matthias

-------------------------------------------------------------------------------
Matthias Lindner, Wilhelm-Leuschner-Str.46, 64293 Darmstadt, Germany
Tel.: +49 6151 22071, E-Mail: [email-masked]
-------------------------------------------------------------------------------